/**
 * Test case for load.
 * Runs with mocha.
 */
'use strict'

const load = require('../lib/load.js')
const co = require('co')
const coz = require('coz')
const assert = require('assert')

describe('load', () => {
  before(() => co(function * () {

  }))

  after(() => co(function * () {
  }))

  it('Load and render.', () => co(function * () {
    let bud = load({}, '444', true)
    assert.ok(bud)
    assert.ok(bud.tmpl)
    bud.mkdirp = true
    bud.path = __dirname + '/../tmp/code-index.js'
    yield coz.render(bud)
  }))
})

/* global describe, before, after, it */
